Package org.eclipse.pde.ui.launcher

## Class JUnitLaunchConfigurationDelegate

- java.lang.Object
- - org.eclipse.debug.core.model.LaunchConfigurationDelegate
  - - org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate
    - - org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationDelegate
      - - org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate
        - - org.eclipse.pde.ui.launcher.JUnitLaunchConfigurationDelegate

All Implemented Interfaces:
  `IDebugEventSetListener`, `ILaunchConfigurationDelegate`, `ILaunchConfigurationDelegate2`

    @Deprecated
    public class JUnitLaunchConfigurationDelegate
    extends JUnitLaunchConfigurationDelegate

Deprecated.
use `JUnitLaunchConfigurationDelegate` instead.
A launch delegate for launching JUnit Plug-in tests.

Since:
  3.3
See Also:
  `JUnitLaunchConfigurationDelegate`
Restriction:
  This method is planned for removal. See bug 564563 for details.
Restriction:
  This method is planned for removal. See bug 564563 for details.

### Field Summary

### Fields inherited from class org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate

`fConfigDir`

### Fields inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`complileErrorProjectPromptStatus, complileErrorPromptStatus, promptStatus, saveScopedDirtyEditors, switchToDebugPromptStatus`

### Constructor Summary

Constructors
`JUnitLaunchConfigurationDelegate()` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.pde.launching.JUnitLaunchConfigurationDelegate

`abort, clear, collectExecutionArguments, getApplication, getBuildOrder, getClasspath, getClasspathAndModulepath, getConfigurationDirectory, getEnvironment, getModuleCLIOptions, getProgramArguments, getProjectsForProblemSearch, getRequiredPlugins, getVMArguments, getVMRunner, getVMSpecificAttributesMap, getWorkingDirectory, manageLaunch, preLaunchCheck, setDefaultSourceLocator, showCommandLine, synchronizeManifests, validatePluginDependencies, validateProjectDependencies, verifyMainTypeName`

### Methods inherited from class org.eclipse.jdt.junit.launcher.JUnitLaunchConfigurationDelegate

`evaluateTests, launch`

### Methods inherited from class org.eclipse.jdt.launching.AbstractJavaLaunchConfigurationDelegate

`allowAdvancedSourcelookup, getBootpath, getBootpathExt, getBreakpoints, getDefaultWorkingDirectory, getJavaLibraryPath, getJavaProject, getJavaProjectName, getLaunch, getLaunchManager, getMainTypeName, getVMArguments, getVMConnectorId, getVMInstall, getVMInstallName, getVMInstallType, getVMInstallTypeId, getWorkingDirectoryPath, handleDebugEvents, isAllowTerminate, isLaunchProblem, isStopInMain, preLaunchCheck, prepareStopInMain, supportsModule, supportsPreviewFeatures, verifyJavaProject, verifyVMInstall, verifyWorkingDirectory`

### Methods inherited from class org.eclipse.debug.core.model.LaunchConfigurationDelegate

`addReferencedProjects, buildForLaunch, buildProjects, computeBuildOrder, computeReferencedBuildOrder, existsProblems, finalLaunchCheck, saveBeforeLaunch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitLaunchConfigurationDelegate

    public JUnitLaunchConfigurationDelegate()

Deprecated.